Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.activemq.jndi
Class JNDIReferenceFactory

    java.lang.Object
      org.codehaus.activemq.jndi.JNDIReferenceFactory

All Implemented Interfaces:
  javax.naming.spi.ObjectFactory

public class JNDIReferenceFactory
extends java.lang.Object
implements javax.naming.spi.ObjectFactory

Converts objects implementing JNDIStorable into a property fields so they can be stored and regenerated from JNDI

Field Summary
`(package private) static Log` | `log`

Constructor Summary
`JNDIReferenceFactory()`

Method Summary
`static javax.naming.Reference` | `createReference(java.lang.String instanceClassName, JNDIStorableInterface po)` Create a Reference instance from a JNDIStorable object
`java.lang.Object` | `getObjectInstance(java.lang.Object object, javax.naming.Name name, javax.naming.Context nameCtx, java.util.Hashtable environment)` This will be called by a JNDIprovider when a Reference is retrieved from a JNDI store - and generates the orignal instance
`static java.lang.Class` | `loadClass(java.lang.Object thisObj, java.lang.String className)` Retrieve the class loader for a named class

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### log

    static Log log

Constructor Detail

### JNDIReferenceFactory

    public JNDIReferenceFactory()

Method Detail

### getObjectInstance

    public java.lang.Object getObjectInstance(java.lang.Object object,
                                              javax.naming.Name name,
                                              javax.naming.Context nameCtx,
                                              java.util.Hashtable environment)
                                       throws java.lang.Exception

  This will be called by a JNDIprovider when a Reference is retrieved from a JNDI store - and generates the orignal instance

  Specified by:
    `getObjectInstance` in interface `javax.naming.spi.ObjectFactory`
  Parameters:
    `object` - the Reference object
    `name` - the JNDI name
    `nameCtx` - the context
    `environment` - the environment settings used by JNDI
  Returns:
    the instance built from the Reference object
  Throws:
    `java.lang.Exception` - if building the instance from Reference fails (usually class not found)

### createReference

    public static javax.naming.Reference createReference(java.lang.String instanceClassName,
                                                         JNDIStorableInterface po)
                                                  throws javax.naming.NamingException

  Create a Reference instance from a JNDIStorable object

  Parameters:
    `instanceClassName` -
    `po` -
  Returns:
    @throws NamingException
  Throws:
    `javax.naming.NamingException`

### loadClass

    public static java.lang.Class loadClass(java.lang.Object thisObj,
                                            java.lang.String className)
                                     throws java.lang.ClassNotFoundException

  Retrieve the class loader for a named class

  Parameters:
    `thisObj` -
    `className` -
  Returns:
    @throws ClassNotFoundException
  Throws:
    `java.lang.ClassNotFoundException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Protique, Ltd.. All Rights Reserved.